help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: emacs 22.1 only starts in terminal


From: flebber
Subject: Re: emacs 22.1 only starts in terminal
Date: Mon, 11 Jun 2007 11:19:39 -0000
User-agent: G2/1.0

On Jun 11, 7:21 pm, Nick Roberts <address@hidden> wrote:
>  > You're probably missing some header files, e.g, /usr/include/ncurses.h (on
>  > Ubuntu it's in the package libncurses5-dev).  You can check by looking
>  > through config.log in the top directory.  Also, when you run configure at
>  > the start, a list of how it will build is given at the end.
>
> Sorry, I don't mean /usr/include/ncurses.h, of course.  I mean X related
> headers.  You could use Xaw, or gtk packages, but you need the dev variant
> for the headers to build (regular variant for libraries is enough to run).
>
> --
> Nick                                          http://www.inet.net.nz/~nickrob

I found this list of X packages required however, it is based on Woody
so it is a little old and not all are available anymore So I installed
as many as possible.

For a fully featured Emacs, you need the following libraries (thanks
to MilesBader):

   libc6-dev
   libjpeg62-dev
   libncurses5-dev
   libpng-dev
   libtiff3g-dev
   libungif4-dev
   xaw3dg-dev
   xlibs-dev
   zlib1g-dev

libc6-dev and xlibs-dev included for completeness. This information is
all with respect to 'woody' (a distribution of Debian).



reply via email to

[Prev in Thread] Current Thread [Next in Thread]